![Banner](info/banner.png)

[![PGTechs](https://img.shields.io/static/v1.svg?color=ff0000&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=PG%20Techs&message=YouTube)](https://www.youtube.com/c/PGTechs "ช่อง YouTube ของเรา")
[![PGVCPlus](https://img.shields.io/static/v1.svg?color=0572e6&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=PGVC%2B&message=Facebook)](https://www.facebook.com/PrincegameRVCPlus "เพจข่าวสาร Distributed Computing ของเรา บน Facebook")

อีกหนึ่งแอปพลิเคชันคุณภาพจาก SashaPGT

* ทุกแอปพลิเคชันผ่านการทดสอบติดตั้งและใช้งานใน Test environment ของเรา

* ใช้งานได้อย่างสะดวกรวดเร็ว ด้วยสคริปต์ติดตั้งแบบสำเร็จรูป ทั้งเฉพาะผู้ใช้และ System-wide

* รองรับ Linux และ macOS




# sashapgt/karaca-decode 

[![Build Status](https://app.travis-ci.com/sashapgt/karaca-decode.svg?branch=main)](https://app.travis-ci.com/gitlab/sashapgt/karaca-decode)

"เขียนโปรแกรมการถอดรหัสของ Karaca ซึ่งการถอดรหัสมีวิธีดังนี้ (Level 3)
1. รับค่าเข้ามาเช่น n0t0r4saca
2. ลบ aca ด้านหลังออก
3. แปลงตัวเลขเป็นสระโดยเปลี่ยนดังนี้

    0 => a

    1 => e

    2 => i

    3 => o

    4 => u

    จากข้อความด้านบนจะได้ว่า natarus
4. กลับด้านตัวอักษรเป็น suratan"

**ตัวอย่างการทำงานของโปรแกรม**

![Screenshot](info/screenshot.png)

# วิธีการติดตั้ง/ใช้งาน
### ติดตั้งแบบปกติ
1. โคลน git นี้

	`$ git clone https://gitlab.com/sashapgt/karaca-decode.git`

2. cd เข้าโฟลเดอร์ของ git นี้ แล้วรันสคริปต์ติดตั้ง

	`$ cd karaca-decode && bash install.sh`

3. เรียกใช้จากเทอร์มินัล (Shell autocomplete อาจจะยังไม่ทำงาน กรุณาปิดเทอร์มินัล แล้วเปิดใหม่อีกครั้ง)

	`$ karaca-decode`
### ใช้งานครั้งเดียว (Build, run และ remove ทันทีเมื่อใช้งานเสร็จโดยอัตโนมัติ)
	$ bash single-use-build-and-run.sh

# ถอนการติดตั้ง


1. รันสคริปต์ถอนการติดตั้งจากในโฟลเดอร์ git นี้

	`$ bash uninstall.sh`

2. ลบโฟลเดอร์ git นี้

# การแก้ปัญหา

หากไม่สามารถรันได้เนื่องจาก Command not found ให้ดูว่ามี ~/.local/bin ใน $PATH หรือไม่
สามารถตรวจสอบได้โดยการ

	echo $PATH

หากไม่มี Home folder ของคุณ ตามด้วย .local/bin ให้เพิ่มบรรทัดนี้ลงใน Shell startup script ของคุณ (เช่น .bashrc .zshrc)

	export PATH="$PATH:$HOME/.local/bin"


